#ifndef __IINDIVIDUALH__
#define __IINDIVIDUALH__

/**
 * Osobnik algorytmu genetycznego lub ewolucyjnego.
 *
 * @author Marek Grzes'
 */ 
class IIndividual{
public:
	double		m_dFitness;
	double		m_dQuality;
	double		m_dSize;
	double		m_dCost;
	virtual bool operator<(const IIndividual &ind) const;
	virtual bool operator>(const IIndividual &ind) const;
	virtual bool operator>=(const IIndividual &ind) const;
	virtual IIndividual* Clone() const=0;
	
	IIndividual(void);
	IIndividual(const IIndividual &templ);
	virtual ~IIndividual(void);
};

bool IIndividualGreater(IIndividual *pi1, IIndividual *pi2);
bool IIndividualLess(IIndividual *pi1, IIndividual *pi2);

#endif

