/**
 * $Revision: 1.6 $
 * $Date: 2006/05/23 13:04:52 $
 */

#include "common.h"
#include <cstdlib>
#include <cstring>
#include <cctype>

int Rand(int n){
    return rand() % n ;
}

int strcasecmp_(const char *b, const char *a){
    while (*a != '\0' && *b != '\0' && tolower(*a) == tolower(*b))
    {   a++;
        b++;
    }
    return *a == *b ? 0 :
           tolower(*a) < tolower(*b) ? -1 : 1;
}

std::string tolowerS(const std::string& source){
	std::string result(source);
	std::string::iterator i = result.begin();
	while(i != result.end()){
		*i = tolower(*i);
		++i;
	}
	return result;
}

std::string trimS(std::string const& source, char const* delims){
	std::string result(source);
	std::string::size_type index;
	while( (index = result.find_first_of(delims)) != std::string::npos ){
		result.erase(index,1);
	}
	return result;
}

char *trim(char *str){
	for(unsigned int i=0;i<strlen(str);i++){
		if(isspace(str[i])){
			for(unsigned int j=i; j+1<strlen(str);j++){
				str[j]=str[j+1];
			}
			i--;
			str[strlen(str)-1] = '\0';
		}
	}
	return str;	
}

char *trimOutside(char *str){
	// Obcinamy na pocztaku
	while(strlen(str) > 0 && isspace(str[0])){
		for(unsigned int j=0; j<strlen(str);j++){
			str[j]=str[j+1];
		}
	}
	// Obcinamy na koncu
	while(isspace(str[strlen(str)-1])){
		str[strlen(str)-1]='\0';
	}
	
	for(unsigned int i=0;i<strlen(str);i++){
		if(isspace(str[i]) && i+1<strlen(str)){
			if(isspace(str[i+1])){
				for(unsigned int j=i+1; j+1<strlen(str);j++){
					str[j]=str[j+1];
				}
				i--;
				str[strlen(str)-1] = '\0';
			}
		}
	}
	return str;
}

