#ifndef __CREALATTRH__
#define __CREALATTRH__

#include "AttrValue.h"

/** 
 * Klasa reprezentujaca wartosc atrybutu ciaglego.
 * @author Marek Grzes'
 */
class CRealAttr : public IAttrValue
{
public:
	virtual AttrType GetAttrType()const;
	virtual bool operator==(const IAttrValue &ia)const;
	virtual bool operator!=(const IAttrValue &ia)const;
	virtual bool operator>(const IAttrValue &ia)const;
	virtual bool operator<(const IAttrValue &ia)const;	
	virtual void PrintValue(ostream &ostr)const;
	CRealAttr(void);
	CRealAttr(const CRealAttr& templ);
	virtual ~CRealAttr(void);
};

#endif
