#ifndef __CCLASSIFICATIONTASK__
#define __CCLASSIFICATIONTASK__

#include <string>
#include <iostream>
#include <vector>

#include "DatasetDescription.h"
#include "ClassifierDescription.h"

using namespace std;

/**
 * @author Marek Grzes
 */
class CClassificationTask{
public:
	string	m_sDescription;
	int	m_iRuns;
	string  m_sOutputFolder;
	int	m_iLogLevel;
	
	vector<CDatasetDescription*>	m_vDatasets;
	vector<CClassifierDescription*>	m_vClassifiers;

	CClassificationTask(void);
	virtual ~CClassificationTask(void);
	friend ostream& operator<<(ostream& out, CClassificationTask &t);
};

#endif
