#include "ClassificationTask.h"

CClassificationTask::CClassificationTask(void){
	m_iRuns = 1;
}

CClassificationTask::~CClassificationTask(void){
	for(size_t t=0; t<m_vDatasets.size(); t++){
		delete m_vDatasets[t];
	}
	m_vDatasets.clear();
	for(size_t t=0; t<m_vClassifiers.size(); t++){
		delete m_vClassifiers[t];
	}
	m_vClassifiers.clear();
}

ostream& operator<<(ostream& out, CClassificationTask &t){
	cout<<t.m_sDescription<<endl;
	cout<<"Runs="<<t.m_iRuns<<endl;
	cout<<"OutputFolder="<<t.m_sOutputFolder<<endl;
	cout<<"LogLevel="<<t.m_iLogLevel<<endl;
	return out;
}
