#ifndef __CCLASSIFIERDESCRIPTION__
#define __CCLASSIFIERDESCRIPTION__

#include "../MLPClassification/Inducer.h"
#include <vector>

using namespace std;

/**
 * @author Marek Grzes
 */
class CClassifierDescription{
public:
	int		m_iCLID;
	string		m_sName;
	IInducer	*m_pInducer;
	
	bool		m_bParam1;
	int		m_iParamIndex1;
	string		m_sParamName1;
	vector<string>	m_vsParamList1;
	bool		m_bParam2;
	int		m_iParamIndex2;
	string		m_sParamName2;
	vector<string>	m_vsParamList2;

	/**
	 * @param pnames - lista parametrow z MLPParamList
	 */
	IInducer* GetFirstInducer(string &logval, string &pnames);
	
	/**
	 * @param pnames - lista parametrow z MLPParamList
	 * @return NULL - kiedy koniec
	 */
	IInducer* GetNextInducer(string &logval, string &pnames);
	
	CClassifierDescription(void);
	virtual ~CClassifierDescription(void);
};

#endif
