#ifndef __CCONSTCLASSIFIERH__
#define __CCONSTCLASSIFIERH__

#include "Classifier.h"

/**
 * Klasyfikator wiekszosciowy.
 * author Marek Grzes
 */
class CConstClassifier: public IClassifier{
public:
	/** Wartosc stanowiaca klase wiekszociowa.
	 */
	IAttrValue* m_pIAMajorityClass;

	virtual IAttrValue* Classify(CDataObject *instance);
	virtual IAttrValue* Classify(CDataObject *instance, pair<double,double> &cost);
	virtual void DisplayStruct(ostream &ostr, int dispformat);
	virtual string GetClassifierName();
	virtual unsigned GetClassifierSize(int iResType=0)const;
	
	CConstClassifier(const IDataSet* dataset,bool bCostOfClassification);
	virtual ~CConstClassifier(void);

};

#endif

