#ifndef __CCONSTINDUCERH__
#define __CCONSTINDUCERH__

#include "Inducer.h"

/** Ucze, ktry generuje klasyfikator wikszociowy.
 * @author Marek Grze
 */
class CConstInducer: public IInducer{
public:
	virtual bool SetParam(string sParamName, string sParamValue);
	virtual void PrintParamsXML(ostream &ostr, int nsp);
	virtual string GetName();
	virtual vector<string> GetParams() const;

	CConstInducer();
	
protected:
	virtual void PostTrain(const IDataSet *trainingDataSet){
	}
	
private:
	virtual IClassifier *ActualTrain(const IDataSet *trainingDataSet);
};

#endif

