#ifndef __CSINGLETESTRESULT__
#define __CSINGLETESTRESULT__

/** Klasa wyniku klasyfikacji z pojedyczym klasyfikatorem, zbiorem uczcym i 
 * zbiorem testowym.
 * @author Marek Grzes
 */
class CSingleTestResult
{
public:
	/** Jakosc klasyfikacji */
	double		m_dQuality;

	/** Rozmiar klasyfikatora - dla drzewa liczba wzw w drzewie */
	double		m_dSize;

	/** Czas uczenia klasyfikatora */
	double		m_dTime;

	/**
	 * Koszt klasyfikacji: cost of tests + cost of classification
	 */
	double		m_dCost;
	
	/**
	 * true to koszt ustawiony i jest brany pod uwage
	 */
	bool	m_bCost;
	
	CSingleTestResult(void);
	virtual ~CSingleTestResult(void);
};

#endif

