#include "IIndividual.h"

bool IIndividualGreater(IIndividual *pi1, IIndividual *pi2){
	return *pi1 > *pi2;
}

bool IIndividualLess(IIndividual *pi1, IIndividual *pi2){
	return *pi1 < *pi2;
}

IIndividual::IIndividual(void){
	m_dFitness = 0;
	m_dQuality = 0;
	m_dSize = 0;
	m_dCost = 0;
}

IIndividual::IIndividual(const IIndividual &templ){
	m_dFitness = templ.m_dFitness;
	m_dQuality = templ.m_dQuality;
	m_dSize = templ.m_dSize;
	m_dCost = templ.m_dCost;
}

IIndividual::~IIndividual(void){
}

bool IIndividual::operator<(const IIndividual &ind) const{
	if(this->m_dFitness < ind.m_dFitness) 
		return true;
	else
		return false;
}

bool IIndividual::operator>(const IIndividual &ind) const{
	if(this->m_dFitness > ind.m_dFitness) 
		return true;
	else
		return false;
}

bool IIndividual::operator>=(const IIndividual &ind) const{
	if(this->m_dFitness >= ind.m_dFitness) 
		return true;
	else
		return false;
}

