#include <ctime>
#include <cstdlib>
#include "Logger.h"

void CLogger::LogError(string msg, char* file, int line){
time_t	now = time(NULL);
struct	tm   *currDate;
char	dateString[64];	
	currDate = localtime(&now);
	strftime(dateString,sizeof dateString,"%m-%d-%Y %H:%M:%S",currDate);
	cerr<<dateString<<" "<<file<<"["<<line<<"]: ERROR: "<<msg.c_str()<<endl;
	exit(1);
}

void CLogger::LogEvent(string msg, char* file, int line){
time_t	now = time(NULL);
struct	tm   *currDate;
char	dateString[64];	
	currDate = localtime(&now);
	strftime(dateString,sizeof dateString,"%m-%d-%Y %H:%M:%S",currDate);	
	cerr<<dateString<<" "<<file<<"["<<line<<"]: MESSAGE: "<<msg.c_str()<<endl;
}

void CLogger::LogEvent(string msg, const char* file, int line ,ostream &ostr){
time_t	now = time(NULL);
struct	tm   *currDate;
char	dateString[64];	
	currDate = localtime(&now);
	strftime(dateString,sizeof dateString,"%m-%d-%Y %H:%M:%S",currDate);	
	ostr<<dateString<<" "<<file<<"["<<line<<"]: MESSAGE: "<<msg.c_str()<<endl;
}

void CLogger::TimeStamp(string msg, ostream &ostr){
time_t	now = time(NULL);
struct	tm   *currDate;
char	dateString[64];	
	currDate = localtime(&now);
	strftime(dateString,sizeof dateString,"%m-%d-%Y %H:%M:%S",currDate);	
	ostr<<msg.c_str()<<dateString<<endl;
}
