#ifndef __CLOGGERH__
#define __CLOGGERH__

#include <iostream>
#include <string>

using namespace std;

/** Interfejs do zapisywania informacji diagnostycznych. Klasa ta zawiera
 * wyłšcznie metody statyczne.
 * @author Marek Grze
 */
class CLogger{
public:
	static void LogError(string msg, char* file, int line);
	static void LogEvent(string msg, char* file, int line);
	static void LogEvent(string msg, const char* file, int line ,ostream &ostr);
	static void TimeStamp(string msg, ostream &ostr=cerr);
};

#endif
