/**
 * $Revision: 1.5 $
 * $Date: 2005/04/16 08:54:06 $
 */

#ifndef __COMMONH__
#define __COMMONH__

#include <string>
#include <cstdlib>

/**
 * Rodzaj operacji dla testow na wartosciach rzeczywistych.
 */
enum OpType{
	e_EQ,
	e_NEQ,
	e_LT,
	e_LQ,
	e_GT,
	e_GQ
};

/**
 * Do wykorzystania przez random_suffle.
 */
int Rand(int n);

/**
 * Porownanie alfabetyczne lancuchow znakow. Zaimplementowana w celu zapewnienia
 * przenaszalnosci miedzy Linuxem i Windowsem.
 */
int strcasecmp_(const char *b, const char *a);

/**
 * Removes spaces from string.
 */
char *trim(char *str);
std::string trimS(std::string const& source, char const* delims = " \t\r\n");

/**
 * Wszystko znaki tolower.
 */
std::string tolowerS(const std::string& source);

/**
 * Usuwa biale znaki z poczatku i konca napisu. Wszystkie wielokrotnosci bialych znakow
 * w srodku napisu zamienia na pojedyncza stapcje.
 */
char *trimOutside(char *str);

#endif
