#include "AttrDesc.h"

CAttrDesc::CAttrDesc(void)
{
	m_iContinuous=0;
	m_fCost=0.0;
}

int CAttrDesc::GetPos(const char *str) const{
	for(unsigned int i=0;i<m_vAttrDomain.size();i++){
		if(strcasecmp_(m_vAttrDomain[i].c_str(),str)==0) return i;
	}
	return -1;
}

int CAttrDesc::AddDomainElement(char *str){
	if(GetPos(str) > -1) return -1;
	/* Kiedy biezacej wartosci nie ma w dziedzinie to jest ona dodawana do
	 * dziedziny na koniec vektora wartosci.
	 */
	m_vAttrDomain.insert(m_vAttrDomain.end(),str);
	return (int)(m_vAttrDomain.size()-1);
}
