#include "RealAttr.h"

CRealAttr::CRealAttr(void){
}

CRealAttr::~CRealAttr(void){
}

AttrType CRealAttr::GetAttrType()const{
		return e_RealAttr;
}

bool CRealAttr::operator==(const IAttrValue &ia)const{
	if(((CRealAttr&)ia).GetAttrType() == e_RealAttr){
		if(this->m_AttrValue.u_dReal == ia.m_AttrValue.u_dReal)
			return true;
		else return false;
	}
	else{
		// ERROR:
		return false;
	}
}

bool CRealAttr::operator!=(const IAttrValue &ia)const{
	return !((*this)==ia);
}

bool CRealAttr::operator>(const IAttrValue &ia)const{
	if(((CRealAttr&)ia).GetAttrType() == e_RealAttr){
		if(this->m_AttrValue.u_dReal > ia.m_AttrValue.u_dReal)
			return true;
		else return false;
	}
	else{
		// ERROR:
		return false;
	}
}

bool CRealAttr::operator<(const IAttrValue &ia)const{
	if(((CRealAttr&)ia).GetAttrType() == e_RealAttr){
		if(this->m_AttrValue.u_dReal < ia.m_AttrValue.u_dReal)
			return true;
		else return false;
	}
	else{
		// ERROR:
		return false;
	}
}

void CRealAttr::PrintValue(ostream &ostr)const{
	ostr<<m_AttrValue.u_dReal;
}

CRealAttr::CRealAttr(const CRealAttr& templ):IAttrValue(templ.m_bMissedValue){
	m_AttrValue = templ.m_AttrValue;
}
