#include "ObliqueTestIndividual.h"

CObliqueTestIndividual::CObliqueTestIndividual(){
	m_pOblTest = 0;
	m_bChanged = true;
}

CObliqueTestIndividual::CObliqueTestIndividual(const CObliqueTestIndividual& templ):IIndividual((const IIndividual&)templ){
	this->m_pOblTest = new CObliqueTest(*(templ.m_pOblTest));
	this->m_bChanged = templ.m_bChanged;
}

CObliqueTestIndividual::~CObliqueTestIndividual(){
	if(m_pOblTest){
		delete m_pOblTest;
	}
}

IIndividual* CObliqueTestIndividual::Clone() const{
	IIndividual* res = new CObliqueTestIndividual(*this);
	return res;
}

