#ifndef __OBLIQUETESTINDIVIDUALH__
#define __OBLIQUETESTINDIVIDUALH__

#include "../../mlpcore/MLPCommon/IIndividual.h"
#include "../../mlpcore/MLPDT/ObliqueTest.h"

/**
 * Osobnik algorytmu ewolucyjnego generowania testow skosnych.
 *
 * @author Marek Grzes'
 */ 
class CObliqueTestIndividual: public IIndividual{
public:
	CObliqueTest*	m_pOblTest;
	
	/**
	 * Zmienna wykorzystywana do zredukowania liczby wyliczen funkcji dopasowania
	 * dla osobnika. Dopasowanie jest wyliczane tylko dla tych osobnikow, ktorzy
	 * maja ustawione to pole na true. Jest ono ustawiane na true po operacji
	 * mutacji i krzyzowania.
	 */
	bool		m_bChanged;
	
	IIndividual* Clone() const;
		
	CObliqueTestIndividual();
	CObliqueTestIndividual(const CObliqueTestIndividual& templ);
	~CObliqueTestIndividual();
};

#endif

