#ifndef __CPOPULATION__
#define __CPOPULATION__

#include "Chromosome.h"
#include "PopDesc.h"
#include "ChromosomeDesc.h"

#include <deque>
#include <vector>

class CPopulation{
private:
	CPopDesc *m_pPopDesc;
	CChromosomeDesc *m_pChrDesc;
public:
	deque<CChromosome*> m_deqPopulation;
	CPopulation(CChromosomeDesc* pChrDesc,CPopDesc* pPopDesc, int popSize);
	void Mutate(void);
	CChromosome* GetFittest();
	~CPopulation();	
	void Replace(CChromosome* pChr);
	/**
	* Selekcja turniejowa
	*/
	vector<CChromosome*> GetParents(void);
	vector<CChromosome*> Crossover(vector<CChromosome*> parents);
};

#endif
